/*
 * Author: Hiroyuki Chishiro
 * License: 2-Clause BSD
 */
#ifndef __VIDEOCORE_MAILBOX_H__
#define __VIDEOCORE_MAILBOX_H__

#define VIDEOCORE_MAILBOX_READ (VIDEOCORE_MAILBOX_BASE + 0x00)
#define VIDEOCORE_MAILBOX_STATUS (VIDEOCORE_MAILBOX_BASE + 0x18)
#define VIDEOCORE_MAILBOX_WRITE (VIDEOCORE_MAILBOX_BASE + 0x20)

#define VIDEOCORE_MAILBOX_SIZE 140

#define VIDEOCORE_MAILBOX_RESPONSE 0x80000000

#define VIDEOCORE_MAILBOX_FULL 0x80000000
#define VIDEOCORE_MAILBOX_EMPTY 0x40000000

#define VIDEOCORE_MAILBOX_REQUEST 0


#define VIDEOCORE_MAILBOX_CH_PROPERTY_TAGS_ARM_TO_VC 8

#define VIDEOCORE_MAILBOX_TAG_LAST 0x00000000

#define VIDEOCORE_MAILBOX_TAG_SET_CLOCK_RATE 0x00038002


#endif /* __VIDEOCORE_MAILBOX_H__ */

