/*
 * Author: Hiroyuki Chishiro
 * License: 2-Clause BSD
 */
#include "raspberry-pi-3.h"

unsigned char PAGE_ALIGNMENT kernel_stack[NR_CPUS][KERNEL_STACK_SIZE];

void clear_bss(void)
{
  extern uintptr_t __bss_begin, __bss_end;
  uintptr_t *p;

  for (p = __bss_begin; p < __bss_end; p += sizeof(uintptr_t)) {
    *p = 0;
  }
}
